Page MenuHomePhabricator

A keyboard shortcut for link adaptation
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/language_engineering/cards/4280

Context

Adding links is a common action while editing a wiki page, so it should be easily accessible using a keyboard shortcut.

This must, nevertheless, be minimal: only make more easily accessible what is already available in the CX screen and not create significant new functionality that is better handled by the VisualEditor.

Narrative

As an editor, I can use the keyboard to add a link while I'm typing the translation, so that I don't have to reach for the mouse.

Acceptance Criteria

  • It's possible to trigger link adaptation by selecting a text using the keyboard ( https://bugzilla.wikimedia.org/show_bug.cgi?id=66956 / T68956 ).
  • It's possible to add a link that is being suggested in the sidebar using the keyboard and without clicking the card. The shortcut must be the same as in the VisualEditor: Ctrl-K on Windows and Linux, ⌘+K on a Mac.

Event Timeline

Amire80 raised the priority of this task from to Low.Feb 20 2015, 4:22 PM
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 4:22 PM
Arrbee updated the task description. (Show Details)Feb 24 2015, 5:59 AM
Arrbee set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 3 2015, 2:45 PM
Amire80 moved this task from Bugs to Links on the ContentTranslation-Release6 board.
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 4:20 PM
Amire80 closed this task as Resolved.Oct 18 2015, 12:28 PM
Amire80 assigned this task to santhosh.